How to have SCORM LMS version detect Flash vs HTML5 version?

In the following link, I've read how you can point to the story.html file, and expect that it will serve the user either the Flash of HTML5 version of the course:

http://www.articulate.com/support/kb_article.php?product=st1&id=9rco1wa3ebjp

That makes sense for non-LMS publishing. But for LMS use that doesn't connect the course to the SCORM API . That can be done, if you manually choose one of two HTML files to associate with your course:

  • index_lms.html - Flash version
  • index_lms_html5.html - HTML5 version

Is there a single HTML file that I can use with my SCORM course so that Storyline will auto-detect the appropriate version?

3 Replies
Justin Grenier

Good Morning, Scott.

In an LMS setting, the index_lms.html and story.html files work together to perform the same Flash/HTML5/iPad detection as the story.html file does when launched from the web.  You need only launch the index_lms.html file from within your LMS to watch the magic happen.

If your specific LMS doesn't seem to be functioning as expected, be sure to test your content in SCORM Cloud, which is an industry-standard platform for testing SCORM content.  This will tell you whether you are having trouble with our content or with your LMS.  Thanks!